Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.alerts
Class FileAlertCodes

    java.lang.Object
      com.stc.connector.fileadapter.alerts.FileAlertCodes

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.AlertCodeMap

    public class FileAlertCodes

extends java.lang.Object
implements com.stc.connector.management.jca.system.mbeans.AlertCodeMap

Field Summary
`static java.lang.String` | `FILE_ASCANTCREATEINPUTDIR` Input directory does not exist `Input directory {0} is not a directory.`
`static java.lang.String` | `FILE_ASINPUTDIRNONEXISTENT` Input directory does not exist `Input directory {0} does not exist.`
`static java.lang.String` | `FILE_ASINPUTDIRNOTDIR` Input directory does not exist `Input directory {0} is not a directory.`
`static java.lang.String` | `FILE_ASRENAMEFAILED` File rename failed `Failed renaming {0}.`
`static java.lang.String` | `FILE_CANTWRITEOUTPUTDIR` Error writing to the output directory `Error writing to the output directory {0}.` Params: {0} directory name
`static java.lang.String` | `FILE_CANTWRITEOUTPUTFILE` Error writing to the output file `Error writing to the output file {0}.` Params: {0} file name
`static java.lang.String` | `FILE_EWAY_RUNNING` eWay running status code.
`static java.lang.String` | `FILE_EWAY_STARTED` eWay started status code.
`static java.lang.String` | `FILE_EWAY_STOPPED` eWay stopped status code.
`static java.lang.String` | `FILE_EWAY_STOPPING` eWay stopping status code.
`static java.lang.String` | `FILE_EWAY_SUSPENDED` eWay suspended status code.
`static java.lang.String` | `FILE_EWAY_SUSPENDING` eWay suspending status code.

Constructor Summary
`FileAlertCodes()`

Method Summary
`java.lang.String` | `getMapping(java.lang.String key)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_EWAY_STARTED

    public static final java.lang.String FILE_EWAY_STARTED

  eWay started status code.

  See Also:
    Constant Field Values

### FILE_EWAY_RUNNING

    public static final java.lang.String FILE_EWAY_RUNNING

  eWay running status code.

  See Also:
    Constant Field Values

### FILE_EWAY_STOPPING

    public static final java.lang.String FILE_EWAY_STOPPING

  eWay stopping status code.

  See Also:
    Constant Field Values

### FILE_EWAY_STOPPED

    public static final java.lang.String FILE_EWAY_STOPPED

  eWay stopped status code.

  See Also:
    Constant Field Values

### FILE_EWAY_SUSPENDING

    public static final java.lang.String FILE_EWAY_SUSPENDING

  eWay suspending status code.

  See Also:
    Constant Field Values

### FILE_EWAY_SUSPENDED

    public static final java.lang.String FILE_EWAY_SUSPENDED

  eWay suspended status code.

  See Also:
    Constant Field Values

### FILE_ASRENAMEFAILED

    public static final java.lang.String FILE_ASRENAMEFAILED

  File rename failed `Failed renaming {0}. Skipping file.` Params: {0} filename

  See Also:
    Constant Field Values

### FILE_ASINPUTDIRNONEXISTENT

    public static final java.lang.String FILE_ASINPUTDIRNONEXISTENT

  Input directory does not exist `Input directory {0} does not exist. Unable to poll` Params: {0} directory name

  See Also:
    Constant Field Values

### FILE_ASINPUTDIRNOTDIR

    public static final java.lang.String FILE_ASINPUTDIRNOTDIR

  Input directory does not exist `Input directory {0} is not a directory. Unable to poll` Params: {0} directory name

  See Also:
    Constant Field Values

### FILE_ASCANTCREATEINPUTDIR

    public static final java.lang.String FILE_ASCANTCREATEINPUTDIR

  Input directory does not exist `Input directory {0} is not a directory. Unable to poll` Params: {0} directory name

  See Also:
    Constant Field Values

### FILE_CANTWRITEOUTPUTDIR

    public static final java.lang.String FILE_CANTWRITEOUTPUTDIR

  Error writing to the output directory `Error writing to the output directory {0}.` Params: {0} directory name

  See Also:
    Constant Field Values

### FILE_CANTWRITEOUTPUTFILE

    public static final java.lang.String FILE_CANTWRITEOUTPUTFILE

  Error writing to the output file `Error writing to the output file {0}.` Params: {0} file name

  See Also:
    Constant Field Values

Constructor Detail

### FileAlertCodes

    public FileAlertCodes()

Method Detail

### getMapping

    public java.lang.String getMapping(java.lang.String key)

  Specified by:
    `getMapping` in interface `com.stc.connector.management.jca.system.mbeans.AlertCodeMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.